transform_units_temperature <- function(data, original_units, new_units,
                                        var_name, var_index = 1,
                                        var_dim = "var") {
  ## TODO: Hard-coded subsetting
  if (original_units == 'c' & new_units == 'k') {
      data[[1]]$data[ , var_index, , , , , , , ] <- 
        data[[1]]$data[ , var_index, , , , , , , ] + 273.15
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- 'K'
  }
  if (original_units == 'k' & new_units == 'c') {
      data[[1]]$data[ , var_index, , , , , , , ] <- 
        data[[1]]$data[ , var_index, , , , , , , ] - 273.15
      data[[1]]$attrs$Variable$metadata[[var_name]]$units <- "C"

  }
  return(data)
}
